public class PersonTester {
    public static void main(String args[]) {
        Person p = new Person("Pepe", "Garcia Perez");
        Student s = new Student("Pere", "Garcia", "Q1B");
        Teacher t = new Teacher("Manel", "Guerrero", "D6-212");
        Person p2;
        System.out.println(p);
        System.out.println(s);
        System.out.println(t);
        p2 = t;
        // s = t;
        // Daria incompatible types
        System.out.println(p2);
        // p2 la imprime como Teacher
        // Aqui no puedo hablar de super de s ni de t
        // (En las classes Student y Teacher si)
        // Si hablo de super aqui seria del padre de this (el Tester).
    }
}
